## forktest

#### OS/161 Reference Manual

### Name

forktest - test fork system call

### Synopsis

`/testbin/forktest`

### Description

`forktest` forks a few times and tries to make sure each fork has its own data and stack.

### Requirements

`forktest` uses the following system calls:

- fork
- getpid
- write
- _exit

`forktest` should run successfully once the basic system calls are complete (if given enough memory) and should continue to run successfully when the VM assignment is completed.